import Entity from "./core/entity.class";
import Request from "./core/request";
import { get, set, remove } from "./utils/localCache";
import * as vue from "./utils/vue";
import global from './global'
import "./assets/font/iconfont.less"

export const install = (app, lib, config) => {
    console.log('app =====>', app)
    const { entity, lodash } = lib;
    const { apiJSON, genBaseUrl, apiFormURL, cache, req } = config;
    global._entityCollection = entity;
    global._ = lodash;
    global._apiJSON = apiJSON;
    global._apiFormURL = apiFormURL;
    global._genBaseUrl = genBaseUrl;
    global._cache = cache;
    global._req = req;
};

export const core = {
    Entity,
    Request,
};

export const utils = {
    vue,
    localCache: {
        get,
        set,
        remove,
    }
};

export { $message } from "./components";

export default {
};
